Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362307 - [abrt] qupzilla: nouveau_pushbuf_data(): qupzilla killed by SIGABRT
Summary: [abrt] qupzilla: nouveau_pushbuf_data(): qupzilla killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8d513bca7b4edb7101972d38e81...
: 1458343 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 23:00 UTC by diego
Modified: 2018-05-29 11:50 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:50:32 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-01 23:00 UTC, diego
no flags Details
File: cgroup (deleted)
2016-08-01 23:00 UTC, diego
no flags Details
File: core_backtrace (deleted)
2016-08-01 23:00 UTC, diego
no flags Details
File: dso_list (deleted)
2016-08-01 23:00 UTC, diego
no flags Details
File: environ (deleted)
2016-08-01 23:00 UTC, diego
no flags Details
File: limits (deleted)
2016-08-01 23:00 UTC, diego
no flags Details
File: maps (deleted)
2016-08-01 23:00 UTC, diego
no flags Details
File: mountinfo (deleted)
2016-08-01 23:00 UTC, diego
no flags Details
File: namespaces (deleted)
2016-08-01 23:00 UTC, diego
no flags Details
File: open_fds (deleted)
2016-08-01 23:00 UTC, diego
no flags Details
File: proc_pid_status (deleted)
2016-08-01 23:00 UTC, diego
no flags Details
File: var_log_messages (deleted)
2016-08-01 23:00 UTC, diego
no flags Details

Description diego 2016-08-01 23:00:02 UTC
Version-Release number of selected component:
qupzilla-2.0.1-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/qupzilla
crash_function: nouveau_pushbuf_data
executable:     /usr/bin/qupzilla
global_pid:     3697
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 nouveau_pushbuf_data at pushbuf.c:727
 #6 pushbuf_submit at pushbuf.c:330
 #7 pushbuf_flush at pushbuf.c:405
 #8 nouveau_pushbuf_kick at pushbuf.c:779
 #9 PUSH_KICK at ./nouveau_winsys.h:59
 #10 nv50_flush at nv50/nv50_context.c:40
 #11 st_context_flush at state_tracker/st_manager.c:506
 #12 dri_flush at dri_drawable.c:532
 #13 dri2SwapBuffers at dri2_glx.c:845
 #14 QGLXContext::swapBuffers at qglxintegration.cpp:535

Comment 1 diego 2016-08-01 23:00:12 UTC
Created attachment 1186558 [details]
File: backtrace

Comment 2 diego 2016-08-01 23:00:14 UTC
Created attachment 1186559 [details]
File: cgroup

Comment 3 diego 2016-08-01 23:00:15 UTC
Created attachment 1186560 [details]
File: core_backtrace

Comment 4 diego 2016-08-01 23:00:18 UTC
Created attachment 1186561 [details]
File: dso_list

Comment 5 diego 2016-08-01 23:00:19 UTC
Created attachment 1186562 [details]
File: environ

Comment 6 diego 2016-08-01 23:00:21 UTC
Created attachment 1186563 [details]
File: limits

Comment 7 diego 2016-08-01 23:00:25 UTC
Created attachment 1186564 [details]
File: maps

Comment 8 diego 2016-08-01 23:00:27 UTC
Created attachment 1186565 [details]
File: mountinfo

Comment 9 diego 2016-08-01 23:00:29 UTC
Created attachment 1186566 [details]
File: namespaces

Comment 10 diego 2016-08-01 23:00:30 UTC
Created attachment 1186567 [details]
File: open_fds

Comment 11 diego 2016-08-01 23:00:32 UTC
Created attachment 1186568 [details]
File: proc_pid_status

Comment 12 diego 2016-08-01 23:00:34 UTC
Created attachment 1186569 [details]
File: var_log_messages

Comment 13 Kevin Kofler 2016-08-02 00:16:59 UTC
This is clearly a bug in Nouveau. Possibly a duplicate of bug #1350275, but the backtrace is different.

Comment 14 Kevin Kofler 2016-08-02 02:58:55 UTC
The backtrace for this one is essentially the same as for bug #1354218 (crash in Cinnamon, also in the Nouveau driver). So this may be a duplicate of that one.

Comment 15 Kevin Kofler 2017-06-03 00:05:01 UTC
*** Bug 1458343 has been marked as a duplicate of this bug. ***

Comment 16 Fedora End Of Life 2017-07-25 22:11:57 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Kevin Kofler 2017-07-26 01:10:13 UTC
The duplicate is on F26, so at least that is still affected. As far as I know, this is not fixed anywhere, not even in Rawhide.

Comment 18 kushaldeveloper 2017-12-23 13:45:28 UTC
Also reproduced it on fedora 27 lxqt

Comment 19 Fedora End Of Life 2018-05-03 08:37:34 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2018-05-29 11:50:32 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.